Subject: bug#60413: closed (Re: [bug#70371] [PATCH] gnu: cutter: Update to 2.3.4.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Jun 2024 21:57:03 +0000

Your bug report

#63669: cutter is outdated and also segfaults on launch

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63669: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63669
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70371] [PATCH] gnu: cutter: Update to 2.3.4.
From: Ludovic Courtès <[email-masked]>
To: Juliana Sims <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 11 Jun 2024 23:56:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Juliana,

Juliana Sims <[email-masked]> skribis:

> * gnu/packages/engineering.scm (cutter): Update to 2.3.4.
> (radare2-for-cutter): Delete.

Applied with the cosmetic changes below.  Thanks!

Ludo’.

diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index 2dbbaaa040f..e518d24fa2f 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -2504,8 +2504,8 @@ (define-public cutter
              (url "https://github.com/rizinorg/cutter")
              (commit (string-append "v" version))
              (recursive? #t)))
-       (snippet #~((@ (guix build utils) delete-file-recursively)
-                   "rizin"))
+       (modules '((guix build utils)))
+       (snippet #~(delete-file-recursively "rizin"))
        (file-name (git-file-name name version))
        (sha256
         (base32 "0d10g1wpw8p8hcxvw5q7ymfdxyrp4xqs6a49lf3gdgnmcpb248ad"))))
@@ -2524,10 +2524,10 @@ (define-public cutter
     (home-page "https://cutter.re")
     (synopsis "Software reverse engineering platform")
     (description
-     "Cutter is a free and open-source reverse engineering platform powered by
-@code{rizin}.  It aims to be an advanced and customizable reverse engineering
-platform while keeping the user experience in mind.  Cutter is created by
-reverse engineers for reverse engineers.")
+     "Cutter is a reverse engineering platform powered by @code{rizin}.  It
+aims to be an advanced and customizable reverse engineering platform while
+keeping the user experience in mind.  Cutter is created by reverse engineers
+for reverse engineers.")
     (license (list license:cc-by-sa3.0 ;the "Iconic" icon set
                    license:gpl3+))))   ;everything else

Subject: cutter is outdated and also segfaults on launch
From: Csepp <[email-masked]>
To: Bug reports for GNU Guix <[email-masked]>
Date: Fri, 30 Dec 2022 00:49:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Our package for the Cutter reverse engineering framework is very
outdated and now the package does not even work, since the Cutter
executable simply crashes on startup in ImportsModel::rowCount.

I attempted packaging the new version that uses the new rizin fork of
radare2 but didn't get far.  I can't work on it right now, but if
someone wants to pick up where I left off, I'll push my branch to
https://git.sr.ht/~raingloom/guix-source/tree/raingloom/cutter

It's not currently online and it's on a different machine than the one
I'm writing from, but once pushed, it should be at that URL.

I'm not sure how a package that doesn't even start passed its check
phase.  Tests don't seem to be disabled, so maybe it's Wayland related?
But it was working fine a few months ago, so this is weird.

Either way, the version is old, so unless the fix is trivial, time is
better spent updating the package than fixing the current version.